From c56a83a2f4f986c519ffd0302b8cb584c1b08412 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Mon, 5 Sep 2022 18:36:46 -0500
Subject: [PATCH 23/23] WIP: skip building if only docs have changed

changesOnlyInclude() will skip tasks if the commits since
CIRRUS_LAST_GREEN_CHANGE touched no files outside of doc/.  The
comparison appears to be like "git log a..b -- ./file", not
"git diff a..b -- ./file"

For the moment this is limited to windows, since it's 3x slower than
other OSs.
---
 .cirrus.yml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/.cirrus.yml b/.cirrus.yml
index f8cd7e030e9..0bf7747abba 100644
--- a/.cirrus.yml
+++ b/.cirrus.yml
@@ -429,6 +429,7 @@ task:
     CIRRUS_ESCAPING_PROCESSES: 1
 
   only_if: $CIRRUS_CHANGE_MESSAGE !=~ '.*\nci-os-only:.*' || $CIRRUS_CHANGE_MESSAGE =~ '.*\nci-os-only:[^\n]*windows.*'
+  skip: "changesIncludeOnly('doc/*')"
 
   windows_container:
     image: $CONTAINER_REPO/windows_ci_vs_2019:latest
-- 
2.17.1

